> For the complete documentation index, see [llms.txt](https://docs.developers.symphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.symphony.com/embedded-modules/embedded-mode/open-an-app.md).

# Open an app

## Open an extension app with an appId

The `openApp` function exposed by the SDK allows you to open a module of an extension app in Embedded Mode.

The extension app needs to be already installed for the user, and to have been preloaded by Embedded Mode, using the `allowedApps` setting. Please refer to [Support for extension applications](/embedded-modules/embedded-mode/support-for-extension-applications.md) for information on preloading an app.

{% hint style="info" %}
Only extension applications that add navigation links can be opened in Embedded Mode.
{% endhint %}

To learn more about extension APIs, refer to the relevant [developers documentation](/ext-apps/overview-of-extension-api.md).

#### Parameters

<table><thead><tr><th width="211.33333333333331">Parameter</th><th width="116">Type</th><th>Description</th></tr></thead><tbody><tr><td>appId</td><td>string</td><td>Id of the extension app (as defined in the Admin Portal)</td></tr><tr><td>moduleName</td><td>string | undefined</td><td>The label of the nav item that will be opened. If an app registers several links, this parameter can be used to select which link will open.</td></tr><tr><td>containerSelector</td><td>string | undefined</td><td>Selector of the container to add the new Embedded Mode iFrame into</td></tr></tbody></table>

If an error occurs (for example, if the app is not installed for the user or not loaded, or the app has not registered a nav item), then an error page will be displayed to the user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.developers.symphony.com/embedded-modules/embedded-mode/open-an-app.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
